## helma.scripting.rhino.debug
Class HelmaDebugger

    java.lang.Object
      org.mozilla.javascript.tools.debugger.Dim
          helma.scripting.rhino.debug.HelmaDebugger

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.TreeSelectionListener

    public class HelmaDebugger

extends org.mozilla.javascript.tools.debugger.Dim
implements javax.swing.event.TreeSelectionListener

Nested Class Summary

Nested classes/interfaces inherited from class org.mozilla.javascript.tools.debugger.Dim
`org.mozilla.javascript.tools.debugger.Dim.ContextData, org.mozilla.javascript.tools.debugger.Dim.FunctionSource, org.mozilla.javascript.tools.debugger.Dim.SourceInfo, org.mozilla.javascript.tools.debugger.Dim.StackFrame`

Field Summary

Fields inherited from class org.mozilla.javascript.tools.debugger.Dim
`BREAK, EXIT, GO, STEP_INTO, STEP_OUT, STEP_OVER`

Constructor Summary
`HelmaDebugger(java.lang.String title)`

Method Summary
`void` `dispose()`
`void` `setVisible(boolean visible)`
`void` `valueChanged(javax.swing.event.TreeSelectionEvent e)`

Methods inherited from class org.mozilla.javascript.tools.debugger.Dim
`attachTo, clearAllBreakpoints, compileScript, contextSwitch, currentContextData, detach, eval, evalScript, functionNames, functionSourceByName, getObjectIds, getObjectProperty, go, objectToString, setBreak, setBreakOnEnter, setBreakOnExceptions, setBreakOnReturn, setGuiCallback, setReturnValue, setScopeProvider, sourceInfo, stringIsCompilableUnit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HelmaDebugger

    public HelmaDebugger(java.lang.String title)

Method Detail

### valueChanged

    public void valueChanged(javax.swing.event.TreeSelectionEvent e)

  Specified by:
    `valueChanged` in interface `javax.swing.event.TreeSelectionListener`

### setVisible

    public void setVisible(boolean visible)

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `org.mozilla.javascript.tools.debugger.Dim`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.